
#include <XConfig.h>
#include <XView.h>
#include <XDraw.h>
#include "TTagEditHeader.h"

TTagEditHeader::TTagEditHeader( XGView *parent, XGArgStream &stream ):
	XGView( parent, stream )
{
}

TTagEditHeader::~TTagEditHeader()
{
}

void TTagEditHeader::DoDrawView( XRect invalid )
{
	XGDraw draw(this);
	XRect r = GetContentRect();
	r.bottom -= 1;
	draw.MoveTo( r.left, r.bottom );
	draw.LineTo( r.right, r.bottom );
	draw.Draw3DRect( r, KXGEBackground );
	draw.Draw3DRect( r, KXGEOutset );
}



TTagEditBackground::TTagEditBackground( XGView *parent, XGArgStream &stream ):
	XGView( parent, stream )
{
}

TTagEditBackground::~TTagEditBackground()
{
}

void TTagEditBackground::DoDrawView( XRect invalid )
{
	XGDraw draw(this);
	//XRect content = GetContentRect();
	draw.Draw3DRect( invalid, KXGEBackground );
	//draw.Draw3DRect( content, KXGEOutset );
}